[arch-commits] Commit in python-pytest-mpl/repos (2 files)

Konstantin Gizdov kgizdov at gemini.archlinux.org
Mon Mar 14 10:16:18 UTC 2022


    Date: Monday, March 14, 2022 @ 10:16:18
  Author: kgizdov
Revision: 1152248

archrelease: copy trunk to community-any

Added:
  python-pytest-mpl/repos/community-any/
  python-pytest-mpl/repos/community-any/PKGBUILD
    (from rev 1152247, python-pytest-mpl/trunk/PKGBUILD)

----------+
 PKGBUILD |   33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

Copied: python-pytest-mpl/repos/community-any/PKGBUILD (from rev 1152247, python-pytest-mpl/trunk/PKGBUILD)
===================================================================
--- community-any/PKGBUILD	                        (rev 0)
+++ community-any/PKGBUILD	2022-03-14 10:16:18 UTC (rev 1152248)
@@ -0,0 +1,33 @@
+# Maintainer: Konstantin Gizdov <arch at kge dot pw>
+# Contributor: Astro Benzene <universebenzene at sina dot com>
+_pkgname='pytest-mpl'
+pkgname="python-${_pkgname}"
+pkgver=0.14.0
+pkgrel=4
+pkgdesc="Pytest plugin to help with testing figures output from Matplotlib"
+arch=('any')
+url="https://github.com/matplotlib/pytest-mpl"
+license=('BSD')
+depends=('python-pytest' 'python-matplotlib' 'python-jinja' 'python-packaging')
+makedepends=('python-setuptools-scm' 'python-build' 'python-installer' 'python-wheel' 'git')
+checkdepends=('python-pytest-cov' 'python-pytest-shutil' 'python-jinja')
+source=("${pkgname}::git+https://github.com/matplotlib/pytest-mpl.git#tag=v${pkgver}")
+sha256sums=('SKIP')
+
+build() {
+    cd "${srcdir}/${pkgname}"
+    python -m build --wheel --no-isolation
+}
+
+check() {
+    cd "${srcdir}/${pkgname}"
+    # some tests fail
+    PYTHONPATH="${srcdir}/${pkgname}/build/lib" pytest || echo 'some tests fail'
+}
+
+package() {
+    cd "${srcdir}/${pkgname}"
+    python -m installer --destdir="$pkgdir" dist/*.whl
+    install -D -m644 LICENSE -t "${pkgdir}/usr/share/licenses/${pkgname}"
+    install -D -m644 README.rst -t "${pkgdir}/usr/share/doc/${pkgname}"
+}



More information about the arch-commits mailing list